cdac.medinfo.model

## Class Contact

- java.lang.Object
- - cdac.medinfo.model.Contact

-     public class Contact
      extends java.lang.Object

  This class specify Contact Details. A telephone number (voice or fax), e-mail address, or other locator for a resource (information or service) mediated by telecommunication equipment. The address is specified as a Universal Resource Locator (URL) qualified by time specification and use codes that help in deciding which address to use for a given time and purpose.

  This class has the following attributes:

  1. Useable Period (List`<String>`)
  2. Use (List`<String>`)
  3. Contact Number (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contact()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContactNumber()` Returns the Contact Number.
    `java.lang.String` | `getEmailAddress()` Returns the Email Address
    `java.lang.String` | `getUrl()` Get the URL
    `java.util.List<java.lang.String>` | `getUse()` Returns the List of Use of Contact Details.
    `java.util.List<java.lang.String>` | `getUseablePeriod()` Returns the List of Usaeable Period Contact Details.
    `void` | `setContactNumber(java.lang.String contactNumber)` Sets the Contact Number.
    `void` | `setEmailAddress(java.lang.String emailAddress)` Sets the Email Address
    `void` | `setUrl(java.lang.String url)` Sets the URL
    `void` | `setUse(java.util.List<java.lang.String> use)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Contact

          public Contact()

  - ### Method Detail

    - #### getUrl

          public java.lang.String getUrl()

      Get the URL
      Returns:
        the url

    - #### setUrl

          public void setUrl(java.lang.String url)

      Sets the URL
      Parameters:
        `url` - Specifies the URL

    - #### setUse

          public void setUse(java.util.List<java.lang.String> use)

      Parameters:
        `use` - the use to set

    - #### getUseablePeriod

          public java.util.List<java.lang.String> getUseablePeriod()

      Returns the List of Usaeable Period Contact Details.
      Returns:
        the useablePeriod

    - #### getUse

          public java.util.List<java.lang.String> getUse()

      Returns the List of Use of Contact Details.
      Returns:
        the use

    - #### getContactNumber

          public java.lang.String getContactNumber()

      Returns the Contact Number.
      Returns:
        the contactNumber

    - #### setContactNumber

          public void setContactNumber(java.lang.String contactNumber)

      Sets the Contact Number.
      Parameters:
        `contactNumber` - Specifies the Contact Number.

    - #### getEmailAddress

          public java.lang.String getEmailAddress()

      Returns the Email Address
      Returns:
        the emailAddress

    - #### setEmailAddress

          public void setEmailAddress(java.lang.String emailAddress)

      Sets the Email Address
      Parameters:
        `emailAddress` - Specifies the Email Address